Siirry sisältöön

Recraft V4.1 Text to Image

Integroi

Mallin tunniste recraft/v4.1/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Tämä pyyntö: 0,035 $ 35 API-krediittiä · ≈ 3,73 ₽ Suorita tällä sivulla

Hanki API-avain
Recraft Tekstistä kuvaksi #design#brand-colors#illustration

Suunnitteluun tarkoitettu kuvamalli, jossa on brändipalettien ja taustavärin hallinta.

Esimerkit

Tulos · ~27 s
Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure domi...

KehoteFull-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: 'MAKE IT BREAK / MAKE IT WORK' (large serif, slightly distorted, crossing the upper body), 'no perfect version exists' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character.

0,035 $ · 35 API-krediittiä

Käyttäjän @recraftai kehote X:ssä

Muodosta pyyntö

Säätimet luodaan mallin skeemasta. Koodi ja hinta päivittyvät, kun muutat arvoja.

•pakollinen 700 / 10000
image_size oletus square_hd
Lisäasetukset colors · background_color
oletus []

Halutut värit sisältävä taulukko.

Generoitujen kuvien taustalle ensisijainen väri.

POST /run/recraft/v4.1/text-to-image?wait=20 hinta → 0,035 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Suorita tämä pyyntö

Avaimesi säilyy tässä selaimessa: se lähetetään vain Doitong APIlle ja tallennetaan localStorageen vain, jos valitset Muista. Hanki API-avain

Tietoja: Recraft V4.1 Text to Image

Recraft V4.1 on suunniteltu suunnittelutyöhön: markkinointikuviin, kuvituksiin ja selkeän sommittelun tuotekuviin. Välitä haluttujen RGB-värien luettelo brändipaletin säilyttämiseksi tai määritä taustaväri johdonmukaisia kuvasarjoja varten. Yksi kuva pyyntöä kohden esiasetetussa tai mukautetussa koossa.

Parametrit

NimiTyyppi OletusSallitut Kuvaus
promptpakollinen
Tyyppistring
≤ 10 000 merkkiä
image_sizevalinnainen
Tyyppiobject
Oletussquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colorsvalinnainen
Tyyppiobject[]
Oletus[]
Halutut värit sisältävä taulukko.
colors[].rvalinnainen
Tyyppiinteger
Oletus0
0 – 255
Punaisen komponentin arvo.
colors[].gvalinnainen
Tyyppiinteger
Oletus0
0 – 255
Vihreän komponentin arvo.
colors[].bvalinnainen
Tyyppiinteger
Oletus0
0 – 255
Sinisen komponentin arvo.
background_colorvalinnainen
Tyyppiobject
Generoitujen kuvien taustalle ensisijainen väri.
background_color.rvalinnainen
Tyyppiinteger
Oletus0
0 – 255
Punaisen komponentin arvo.
background_color.gvalinnainen
Tyyppiinteger
Oletus0
0 – 255
Vihreän komponentin arvo.
background_color.bvalinnainen
Tyyppiinteger
Oletus0
0 – 255
Sinisen komponentin arvo.
pakollinen

Tulos

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4.1/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "Tilt-shift miniature view of a fishing village harbor at golden hour, colorful boats, toy-like scale",
    "image_size": "landscape_16_9"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tiedostosi, valintasiJokainen outputs[].url on kopio tallennustilassamme: säilytetään ikuisesti (maksetaan gigatavu-kuukauden mukaan) tai 7 päivää ilmaiseksi tiliasetuksesi tai ?storage= perusteella.
Sama rakenne kaikissa malleissatype, url, content_type, width, height ja duration kuville, videolle ja äänelle. output on mallin oma tulosobjekti.
Tuloksen kentät
images
array of object {url, content_type, file_name, file_size}

Lisää malleja: Tekstistä kuvaksi

Tekoälyagenteille: tämän sivun Markdown-muoto on osoitteessa https://doitong.com/fi/developers/models/recraft/v4.1/text-to-image.md. Kaikki mallit ja oppaat: https://doitong.com/developers/llms.txt